aboutsummaryrefslogtreecommitdiffstats
path: root/core/paxctl/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-05-04 09:48:03 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-05-04 09:48:03 +0000
commit33dd383b5a1857bb49e9f31dbe32b82d0182f92e (patch)
tree3d1967945ef067daf2e41a3964935a34a91cc618 /core/paxctl/APKBUILD
parent155a707ab0506698e433b63a38b39580b8201d13 (diff)
downloadaports-33dd383b5a1857bb49e9f31dbe32b82d0182f92e.tar.gz
aports-33dd383b5a1857bb49e9f31dbe32b82d0182f92e.tar.bz2
aports-33dd383b5a1857bb49e9f31dbe32b82d0182f92e.tar.xz
core/paxctl: new aport
Manage PaX releated program header flags http://pax.grsecurity.net
Diffstat (limited to 'core/paxctl/APKBUILD')
-rw-r--r--core/paxctl/APKBUILD26
1 files changed, 26 insertions, 0 deletions
diff --git a/core/paxctl/APKBUILD b/core/paxctl/APKBUILD
new file mode 100644
index 0000000000..b8ac414d76
--- /dev/null
+++ b/core/paxctl/APKBUILD
@@ -0,0 +1,26 @@
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=paxctl
+pkgver=0.5
+pkgrel=0
+pkgdesc="Manage PaX releated program header flags"
+url="http://pax.grsecurity.net"
+license="GPL-2"
+depends=""
+makedepends=""
+install=
+subpackages="$pkgname-doc"
+source="http://pax.grsecurity.net/$pkgname-$pkgver.tar.gz"
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+ sed -i -e 's:--owner:-o:g; s:--group:-g:g; s:--mode:-m:g' Makefile
+
+ make CFLAGS="$CFLAGS" LDFLASG="$LDFLAGS" || return 1
+ make DESTDIR="$pkgdir" install
+
+ # install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
+ # install -m644 -D "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
+}
+
+md5sums="6ec138522977dc7654d33ddbe32755f0 paxctl-0.5.tar.gz"